<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net8.0-windows</TargetFramework>
    <UseWindowsForms>true</UseWindowsForms>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="Resources\Roboto-Medium.ttf" />
    <None Remove="Resources\Roboto-Regular.ttf" />
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Include="Resources\Roboto-Medium.ttf" />
    <EmbeddedResource Include="Resources\Roboto-Regular.ttf" />
  </ItemGroup>

  <ItemGroup>
    <Compile Update="Controls\MaterialCheckBox.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Update="Controls\MaterialComboBox.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Update="Controls\MaterialContextMenuStrip.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Update="Controls\MaterialDivider.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Update="Controls\MaterialFlatButton.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Update="Controls\MaterialForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Update="Controls\MaterialIcon.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Update="Controls\MaterialIndicator.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Update="Controls\MaterialIndicator.Designer.cs">
      <DependentUpon>MaterialIndicator.cs</DependentUpon>
    </Compile>
    <Compile Update="Controls\MaterialLabel.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Update="Controls\MaterialListView.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Update="Controls\MaterialLoader.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Update="Controls\MaterialLoader.Designer.cs">
      <DependentUpon>MaterialLoader.cs</DependentUpon>
    </Compile>
    <Compile Update="Controls\MaterialMessageBox.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Update="Controls\MaterialMessageBox.Designer.cs">
      <DependentUpon>MaterialMessageBox.cs</DependentUpon>
    </Compile>
    <Compile Update="Controls\MaterialPanel.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Update="Controls\MaterialProgressBar.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Update="Controls\MaterialRadioButton.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Update="Controls\MaterialRaisedButton.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Update="Controls\MaterialSingleLineTextField.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Update="Controls\MaterialTabControl.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Update="Controls\MaterialTabSelector.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Update="Controls\MaterialUpDown.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Update="Controls\MaterialUpDown.Designer.cs">
      <DependentUpon>MaterialUpDown.cs</DependentUpon>
    </Compile>
    <Compile Update="Resources\Resource1.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>Resource1.resx</DependentUpon>
    </Compile>
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Update="Controls\MaterialIndicator.resx">
      <DependentUpon>MaterialIndicator.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Update="Controls\MaterialLoader.resx">
      <DependentUpon>MaterialLoader.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Update="Controls\MaterialMessageBox.resx">
      <DependentUpon>MaterialMessageBox.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Update="Controls\MaterialUpDown.resx">
      <DependentUpon>MaterialUpDown.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Update="Resources\Resource1.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resource1.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>

</Project>
